Bug 480062 - minor issue with mta_getattr_spool(), theres no getattr for lnk_files
minor issue with mta_getattr_spool(), theres no getattr for lnk_files
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-14 15:41 EST by Dominick Grift
Modified: 2009-08-20 13:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-20 13:22:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominick Grift 2009-01-14 15:41:01 EST
Description of problem:

########################################
## <summary>
##	Get the attributes of mail spool files.
## </summary>
## <param name="domain">
##	<summary>
##	Domain allowed access.
##	</summary>
## </param> 
#
interface(`mta_getattr_spool',`
	gen_require(`
		type mail_spool_t;
	')

	files_search_spool($1)
	allow $1 mail_spool_t:dir list_dir_perms;
	allow $1 mail_spool_t:lnk_file read;
	allow $1 mail_spool_t:file getattr;
')

There is no getattr for lnk_file. Below you will find the fix i suggest:

########################################
## <summary>
##	Get the attributes of mail spool files.
## </summary>
## <param name="domain">
##	<summary>
##	Domain allowed access.
##	</summary>
## </param>
#
interface(`mta_getattr_spool',`
	gen_require(`
		type mail_spool_t;
	')

	files_search_spool($1)
	allow $1 mail_spool_t:dir list_dir_perms;
	allow $1 mail_spool_t:lnk_file { getattr read };
	allow $1 mail_spool_t:file getattr;
')


Version-Release number of selected component (if applicable):

selinux-policy-3.5.13-38.fc10.noarch
Comment 1 Daniel Walsh 2009-01-15 11:16:40 EST
Miroslav should be 

files_read_pattern($1, mail_spool_t, mail_spool_t)
files_lnk_read_pattern($1, mail_spool_t, mail_spool_t)
Comment 2 Daniel Walsh 2009-01-15 11:18:27 EST
Make that

getattr_files_pattern($1, mail_spool_t, mail_spool_t)
read_lnk_read_pattern($1, mail_spool_t, mail_spool_t)
Comment 3 Daniel Walsh 2009-01-15 11:19:33 EST
interface(`mta_getattr_spool',`
	gen_require(`
		type mail_spool_t;
	')

	files_search_spool($1)
	allow $1 mail_spool_t:dir list_dir_perms;
	getattr_files_pattern($1, mail_spool_t, mail_spool_t)
	read_lnk_read_pattern($1, mail_spool_t, mail_spool_t)
')
Comment 4 Dominick Grift 2009-01-15 11:31:41 EST
Should that not be read_lnk_files_pattern()?
Comment 5 Daniel Walsh 2009-01-15 13:33:42 EST
Yes
Comment 6 Miroslav Grepl 2009-01-19 15:58:15 EST
Fixed in selinux-policy-3.5.13-40.fc10.noarch
Comment 7 Dominick Grift 2009-08-20 13:22:14 EDT
confirmed: fixed

Note You need to log in before you can comment on or make changes to this bug.